Skip to main content
GET
/
v1
/
agents
/
{agentId}
/
wallet
/
policy
Typescript (SDK)
import { RaijinLabsLucidAi } from "raijin-labs-lucid-ai";

const raijinLabsLucidAi = new RaijinLabsLucidAi();

async function run() {
  const result = await raijinLabsLucidAi.agents.wallet.lucidGetAgentWalletPolicy({
    agentId: "<id>",
  });

  console.log(result);
}

run();
{
  "success": true,
  "wallet": {
    "address": "<string>",
    "chain": "<string>",
    "provider": "<string>",
    "agent_passport_id": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.lucid.foundation/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Lucid API key (lk_live_... or lk_test_...)

Path Parameters

agentId
string
required

Agent passport identifier for wallet policy

Response

OK

success
boolean
required
wallet
object
required